Skip to main content

Form Structure

{
  "type": "form",
  "config": {
    "fields": [
      {
        "name": "warehouse_id",
        "type": "single_select",
        "label": "Warehouse",
        "required": true,
        "data_source": {
          "type": "unified",
          "resource": "wms/warehouses",
          "method": "list"
        },
        "options": {
          "label": "name",
          "value": "id"
        }
      }
    ]
  }
}

Add RapidForm to Integration

Step 1: Get Integration ID

curl 'https://api.usehandled.io/api/v1/ipaas/environment-integration?integration.name=shiphero' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Step 2: Add Form Configuration

curl -X PATCH 'https://api.usehandled.io/api/v1/ipaas/environment-integration/INTEGRATION_ID' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "override": {
      "actions": {
        "post_connect_user_form": {
          "steps": [{
            "type": "form",
            "config": {
              "fields": [...]
            }
          }]
        }
      }
    }
  }'

Field Configuration

FieldDescription
nameVariable name to store
typesingle_select, multi_select, text, password, checkbox, hidden
labelDisplay name
help_textDescription
requiredMust be filled
depends_onParent field names
data_sourceAPI configuration
optionsLabel and value field mapping
disabled_textMessage when disabled

Using Form Values in Sync Jobs

Reference stored values with placeholders:
{
  "resource": "wms/orders",
  "query": {"warehouse_id": "{{warehouse_id}}"}
}